<template>
  <footer class="footer">
    <div class="wrapper">
      <div class="footer-top row">
        <div class="col left-side">
          <div class="row">
            <div class="col">
              <span class="d-block footer-title ">Our Story</span>
              <ul class="list-decoration p-0 ">
                <li><a href="#">About us</a></li>
                <li><a href="#">Contact</a></li>
                <li><a href="#">Jobs</a></li>
                <li><a href="#">Sponsoring</a></li>
              </ul>
            </div>
            <div class="col">
              <span class="d-block footer-title">Support</span>
              <ul class="list-decoration p-0 ">
                <li><a href="#">Get support</a></li>
                <li><a href="#">FAQ</a></li>
                <li><a href="#">Shipping Policy</a></li>
                <li><a href="#">Refund Policy</a></li>
                <li><a href="#">Return</a></li>
                <li><a href="#">Trade-In</a></li>
                <li><a href="#">Student discount</a></li>
                <li><a href="#">Legal notice</a></li>
              </ul>
            </div>
            <div class="col">
              <span class="d-block footer-title">Social</span>
              <div class="row footer-social gx-15 m-0">
                <a href="#">
                  <img src="@/assets/images/footer/social/youtube.svg" alt="youtube">
                </a>
                <a href="#">
                  <img src="@/assets/images/footer/social/facebook.svg" alt="facebook">
                </a>
                <a href="#">
                  <img src="@/assets/images/footer/social/instagram.svg" alt="instagram">
                </a>
              </div>
            </div>
          </div>
        </div>
        <div class="col right-side">
          <div class="row">
            <div class="col">
              <span class="d-block footer-title">Our payment methods</span>
              <div class="row gx-7 m-0">
                <img src="@/assets/images/footer/payment/visa.svg" alt="visa">
                <img src="@/assets/images/footer/payment/mastercard.svg" alt="mastercard">
                <img src="@/assets/images/footer/payment/maestro.svg" alt="maestro">
              </div>
              <div class="row mt-n3 gx-7 m-0">
                <img src="@/assets/images/footer/payment/diners-club.svg" alt="diners club">
                <img src="@/assets/images/footer/payment/stripe.svg" alt="stripe">
              </div>
            </div>
            <div class="col">
              <span class="d-block footer-title">Secure shopping</span>
              <a href="https://www.guetezeichen.at/zertifikate/shopzertifikat/wwwnakedopticsnet/" target="_blank">
                <img class="footer-img-trust" src="@/assets/images/footer/trust-mark.png" alt="trust mark">
              </a>
            </div>

          </div>
        </div>
      </div>
      <div class="footer-bottom ">
        <div class="row">
          <div class="col">
            <router-link to="/">
              <img src="@/assets/images/footer/white-logo.svg" alt="Naked Optics">
            </router-link>
            <p class="pt-3">&#169; 2022 NAKED Optics - All Rights Reserved. | *All prices incl. VAT plus
              shipping costs</p>
          </div>
          <div class="col d-flex justify-content-end gx-35 col-right">
            <a href="#">Privacy Policy</a>
            <a href="#">Cookie Settings</a>
            <span> <a href="#">Terms of service</a>
                <span class="pt-4 text-center lang-en">
                    <span>
                      <img class="img-footer-en" src="@/assets/images/footer/en.svg" alt="en">
                    </span>
                      <span class="pl-1">English</span>
                </span>
          </span>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
export default {
  name: "VFooter"
}
</script>

<style scoped>


.footer {
  overflow: hidden;
  color: #fff;
  background-color: #0A0A0A;
  padding: 40px 15px;
}

.footer-bottom {
  border-top: 1px solid #FFFFFF50;
  padding-top: 40px;
}

.footer-img-trust {
  width: 176px;
  height: 120px;
}

.footer-title {
  font-weight: 500;
  font-size: 22px;
  line-height: 29px;
  padding-bottom: 23px;
}

.gx-7 {
  column-gap: 7px;
}

.gx-15 {
  column-gap: 15px;
}

.gx-35 {
  column-gap: 35px;

}

.col-right {
  position: relative;
  font-size: 14px;
  line-height: 18px;
}

.list-decoration {
  list-style: none;
  font-size: 16px;
  line-height: 26px;
}

.lang-en {
  position: absolute;
  bottom: 0;
  right: 33px;
}

.lang-en:after {
  content: '>';
  right: -20px;
  bottom: 0;
  position: absolute;
  font-size: 16px;
}

.img-footer-en {
  width: 17px;
}

a, p {
  color: #E0E0E0;
  margin: 0;
}

a:hover {
  color: inherit;
}

.footer-social img {
  transition: all 0.2s ease-in-out;
}

.footer-social img:hover {
  opacity: 0.7;
  scale: 1.1;
}
</style>